[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#666889: transition: GNOME 3.4: clutter/cogl

On 29.04.2012 17:45, Adam D. Barratt wrote:
> On Mon, 2012-04-02 at 09:58 +0200, Michael Biebl wrote:
>> for GNOME 3.4, we need newer clutter-1.0 and cogl versions:
> [...]
>> Packages which need sourceful uploads:
>> ======================================
>> mutter (3.2.2-2 from exp)
> Will that resolve #669441?

Yes, the version from experimental fixes this build failure (by not
building with -Werror).

>> Packages which can be binNMUed:
>> ===============================
>> gnome-shell
> Appears to FTBFS on arm{el,hf} currently; there's also #670097.

The FTBFS on arm is something I wasn't aware of and seem to be caused by
recent changes in the X/GL packages, it seems.
Will have a look and poke Rico about that.

Regarding #670097, the bug report lacks detail, so it might be a driver
issue an it's most likely not specific to, i.e. the testing
version would be affected too.

That said, I'll follow up on the bug report to get some more useful

> These three aren't on the tracker:
>> gnome-control-center
>> eog-plugins
>> gnome-games
> Is that an issue with the tracker criteria, or how the list of checked
> packages was produced?

eog-plugins, gnome-games: b-depend on libclutter-gtk-1.0-dev
So the ben file should include that in affected.

gnome-control-center: I'm not quite sure about this one.
It build-depends on libcheese-gtk-dev which has
 Requires.private: clutter-gtk-1.0.
But this doesn't result in a dependency on libcogl5. So I don't know why
Sjoerd included g-c-c in that list.
@Sjoerd: can you answer this question?


Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: